BinomialConvertibleEngine< T > Class Template Reference

Binomial Tsiveriotis-Fernandes engine for convertible bonds. More...

`#include <ql/experimental/convertiblebonds/binomialconvertibleengine.hpp>`

Inherits ConvertibleBond::option::engine.

## Public Member Functions

| BinomialConvertibleEngine (const boost::shared_ptr< GeneralizedBlackScholesProcess > &process, Size timeSteps)
void | calculate () const

## Detailed Description

### template<class T>
class QuantLib::BinomialConvertibleEngine< T >

Binomial Tsiveriotis-Fernandes engine for convertible bonds.

Examples:
  ConvertibleBonds.cpp.